# PSF-LoginServer - master - net.psforever.packet.game.LoginRespMessage.StationError
PSF - LoginServer - master - net.psforever.packet.game.LoginRespMessage.StationError
Keywords: PSF LoginServer master net.psforever.packet.game.LoginRespMessage.StationError

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  object LoginRespMessage extends Marshallable[LoginRespMessage] with Serializable
  Definition Classes
    game
- LoginError
- StationError
- StationSubscriptionStatus

o

net.psforever.packet.game.LoginRespMessage

# StationError

###

#### object StationError extends Enumeration

Source
  LoginRespMessage.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StationError
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AccountActive: Value
5.  val AccountClosed: Value
6.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  implicit val codec: Codec[Value]
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def maxId: Int
    Definition Classes
      Enumeration
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
23.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
29.  def values: ValueSet
    Definition Classes
      Enumeration
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  final def withName(s: String): Value
    Definition Classes
      Enumeration
34.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped